<%= form_with(model: person, local: true) do |form| %>
  <% if person.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(person.errors.count, "error") %> prohibited this person from being saved:</h2>

      <ul>
        <% person.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

    <%= form.label :name %>
    <%= form.text_field :name %>

    <%= form.label :age %>
    <%= form.text_field :age %>

    <%= form.label :gender %>
    <%= form.text_field :gender %>

    <%= form.submit %>
<% end %>
